Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 239953 - irda init script status not shown properly
irda init script status not shown properly
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: irda-utils (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-13 06:27 EDT by Jan ONDREJ
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: F-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 04:08:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2007-05-13 06:27:05 EDT
Description of problem:


Version-Release number of selected component (if applicable):
irda-utils-0.9.17-2.fc6 and I think also for Fedora 7 development

How reproducible:
sometimes (aprox every 5th try for me)

Steps to Reproduce:
1. service irda restart
2. service irda restart
3. ...
  
Actual results:
[FAILED]

Expected results:
[OK]

Additional info:
This script checks irattach status before it can write it. Please add an "sleep
0.1s" between these lines in your init script:

        daemon /usr/sbin/irattach ${DEVICE} ${ARGS}
        [ -f /var/run/irattach.pid ] && success $"irattach startup" || failure $
"irattach startup"

Working code looks like this:

        daemon /usr/sbin/irattach ${DEVICE} ${ARGS}
        sleep 0.1s
        [ -f /var/run/irattach.pid ] && success $"irattach startup" || failure $
"irattach startup"

May be it is wrong only for my USB irda dongle.
I am using irda DISCOVERY=yes in my sysconfig/irda config.
Comment 1 Bug Zapper 2008-04-04 03:14:19 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Jan ONDREJ 2008-04-07 01:41:12 EDT
I am not using IR connection over years and my IR receiver hardware is not
functional with my current hardware. I am unable to test this now.

Because this is not a critical bug and may be this was fixed in any later
fedora, I think this can be closed now.
Comment 3 Karsten Hopp 2008-04-07 04:08:38 EDT
ok, thanks for taking the time to answer. I'm closing this

Note You need to log in before you can comment on or make changes to this bug.